6.66 Fri Apr 19 17:53:13 BST 2013
    No changes from 6.65_03

6.65_03 Mon Apr 15 13:44:24 BST 2013
    Test Fixes
    * Use File::Temp in parse_* tests to resolve race conditions
      on 64bit Windows
      (bingos)

6.65_02 Sun Apr 14 10:56:41 BST 2013
    Test Fixes
    * t/xs.t is now running tests against the XS build.
      (Michael G Schwern) (Leon Timmermans)


6.65_01 Tue Mar 19 00:06:17 CET 2013
    New Features
    * Improvements perlcritic support. (M. Schwern)
    * Improvements to dynamic linking for gcc (Tobias Leich)
      [github #43]
    * Change $(PERL_HDRS) from a hard coded list of headers to
      reading install directory for available header files. Allows
      us to work with any version of Perl properly.
      (Yves Orton, Craig A. Berry) [github #47]

    Doc Fixes
    * Numerous typo fixes. (Ben Bullock)
      [github #33] [github #34] [github #35]
    * Various FAQ and doc improvements (M. Schwern, Ivan Bessarabov)
      [github #44]

    Bug Fixes
    * fixes relating to hash ordering (Yves Orton)
      [github #46] [rt.cpan.org #83441] [rt.perl.org #116857]
    * fixes to Mksymlists (Ben Bullock, Yves Orton)
      [github #48] [github #49] [github #51]


6.64  Sun Dec 16 18:27:40 PST 2012
    Build Fixes
    * Update the home page in the meta file.  makemaker.org has been
      unmaintained for a while.


6.63_04  Thu Nov 22 13:18:06 PST 2012
    Test Fixes
    * Eliminated the problematic and not very useful PASTHRU test
      on Windows.  A better test will come after stable. [github 41]
      (Michael G Schwern)
    * Avoid a new regex warning in 5.17.x in t/MM_OS2.t. (Craig A. Berry)

    VMS Fixes
    * Better ignore files due to non-case-preserving filesystems.
      (Craig A. Berry)


6.63_03  Thu Nov  1 19:52:30 PDT 2012
    New Features
    * Added TEST_REQUIRES keyword to specify prerequisites only needed
      for testing.  [github 29] (Ricardo Signes)

    Bug Fixes
    * Update bundled modules: ExtUtils::Install to 1.54, ExtUtils::Manifest
      to 1.60.
    * Update CPAN::Meta::YAML to 0.08 for compatibility with older versions
      of Scalar::Util.

    Misc
    * Change 'Note' to 'Warning' when libraries aren't found since people
      often fail to realise that this is the cause of a build failure.
      [github 20] (Matt Trout)

    Test Fixes
    * Added an early test to check for a common 5.6 bug where 0.01 is
      incorrectly stringified to 1.e-02.  [rt.cpan.org 74095]

    Doc Fixes
    * Clarified NAME. [rt.cpan.org 73361]
    * SYNOPSIS is a bit more useful.


6.63_02  Tue Nov  1 17:02:40 PDT 2011
    Test Fixes
    * Inform BSDPAN (on FreeBSD) to not register modules installed while
      testing. [rt.cpan.org 70232]
    * Fix t/echo.t test on Win32. [rt.cpan.org 72097]
    * Fix t/echo.t test on VMS. (Craig A. Berry)
    * Fix t/Win32.t to handle the change to init_others(). [rt.cpan.org 72096]

    Bug Fixes
    * Fix VMS's echo() for the interface changes. (Craig A. Berry)
    * Fix VMS's dollar sign escaping. (Craig A. Berry)

    Misc
    * my::bundle::copy_bundles() will only load File::Copy::Recursive if
      it needs it, allowing vendors packaging MakeMaker to just delete
      bundled/*
    * Bundling can be overridden by setting the BUILDING_AS_PACKAGE
      environment variable.  This makes life easier for vendor packagers.
    * Stripped the Windows newlines off Parse::CPAN::Meta to avoid
      confusing old versions of Module::Signature.

    Docs
    * README.packaging explains how to package MakeMaker
    * bundled/README explains what the bundled directory is about.
    

6.63_01  Sun Oct 23 16:57:24 PDT 2011
    Bug Fixes
    * Stray $ in the PPD and meta files (for example, from the ABSTRACT)
      are now escaped.  [rt.cpan.org 71847]

    Possibly incompatible changes
    * echo() now escapes all dollar signs by default

    New Features
    * echo() has an option to allow make variable expansion.
    * echo() is now passed a hash of options (old style $appending flag
      still works for compatibility).
    * quote_literal() now escapes dollar signs, but allows make variables.
    * quote_literal() has an option to escape make variables.
    * escape_dollarsigns() to escape dollar signs but allow variables
    * escape_all_dollarsigns() to escape all dollar signs

    Improvements
    * The PPD VERSION is now derived from the VERSION variable in the Makefile
      rather than hard coded.

    Bundled Modules
    * Updated CPAN::Meta to 2.112621
    * Updated CPAN::Meta::YAML to 0.004
    * Updated JSON::PP to 2.27200


6.62  Sun Oct 23 16:43:36 PDT 2011
    No changes from 6.61_01


6.61_01  Sat Sep 24 22:16:13 PDT 2011
    Win32
    * Liblist::Kid now checks the ActiveState MinGW library path environment
      variable [MITHALDU]
    * Further fixes to the Win32 quoting rules.  Fixes failures on VC8+.
      [rt.cpan.org #69528] [SHAY]


6.59  Fri Aug  5 12:09:00 BST
    No changes since 6.58_01


6.58_01  Wed Aug  3 21:12:00 BST
    Doc Fixes
    * Corrected the repository location [chorny]

    Bug Fixes
    * Removed the %INC check from _has_cpan_meta and updated the CPAN::Meta
      bundled with EUMM to one that doesn't set $VERSION in a begin block
      so it can't appear to be loaded, thus causing us to mistakenly try
      and call methods on CPAN::Meta modules - this is due to older versions
      in site_perl shadowing our installation of other bundled modules.
      [rt.cpan.org 69465] [rt.cpan.org 69900] [MSTROUT]


6.58  Wed Jul  6 14:17:06 PDT 2011
    No changes since 6.57_11


6.57_11  Thu May 19 17:26:31 PDT 2011
    Bug Fixes
    * Changed CPAN::Meta to accept version objects. [github #16]
    * Massage bad versions and warn the user about them. [github #15]
    * Protect against CPAN::Meta dying during metafile validation
      and generation.

    VMS
    * Fix prereq.t to work around "local %ENV = %ENV" bug

    Win32
    * Liblist::Kid can now recognize long compiler paths
      (Christian Walde) [github #11]


6.57_10  Sun, 03 Apr 2011 19:36:38 +1000
    Bug Fixes
    * Relaxed strictures on prerequisite versions.  Invalid versions now
      issue a warning and are set to 0 rather than dying. [github #7]
    * Upgraded CPAN::Meta to 2.110930 which fixes a glitch in writing
      MYMETA.yml if your module's version number was 1.4. [github #9]
    * Convert LICENSE entries which are unknown to CPAN::Meta to
      "unknown" rather than dying. [github #10]


6.57_09  Mon, 28 Mar 2011 11:13:39 +1100
    Misc
    * Make CPAN ignore bundled modules
    * Accidentally rolled Version::Requirements into the version bundle
    * Deleted now unused ExtUtils::MakeMaker::YAML


6.57_08  Sun, 27 Mar 2011 21:52:47 +1100
    VMS
    * Removed dependency on cc_runtime.h for VMS as well.

    Misc
    * Changed how modules are bundled to avoid replacing XS version of
      Scalar::Util with a pure Perl version [github #4]


6.57_07  Fri, 25 Mar 2011 14:31:31 +1100
    Enhancements
    * Generates META.json and MYMETA.json in addition to
      META.yml and MYMETA.yml (David Golden)
    * MYMETA has the runtime requirements made priority over META_*
      keys to allow generation of a correct META.* into the dist while
      still generating an accurate MYMETA.* locally (Matt S Trout)
    * Distributions should not depend on cc_runtime.h from core as it is
      only needed for B::CC
    * Now uses CPAN::Meta to generate META files.

    Bug Fixes
    * MYMETA.yml generation from META.yml actually works (Matt S Trout)
    * All required META fields are generated, even if they must be filled
      with "unknown" in place of real data (David Golden)

    Test Fixes
    * miniperl.t is no longer run outside of the perl core.  Its only relevant
      to bleadperl and requires no backwards compatibility [rt.cpan.org 61868]

    Cygwin
    * Rebase behaviour was improved (Reini Urban)
    * Build man pages (Reini Urban)

    Win32
    * Spot valid lib files on Win32 when .a and .lib are mixed.
      (Christian Walde) [github #3]
    * Extensive testing of ExtUtils::Liblist::Kid for Win32
      (Christian Walde)
    * Implemented proper emulation of DOS escaping rules in ExtUtils::MM_Win32
      (Christian Walde)


6.57_06  Wed Oct 06 13:49:00 EEST 2010
    Win32
    * Work around dmake's limitations on how long a "line" can be.
      [rt.cpan.org 61286]
    * ActivePerl 1007 can now see gcc. [rt.cpan.org 55752] (Christian Walde)

    Bug Fixes
    * Fix for AUTHOR and undocumented usage of MM->new() (Alexandr Ciornii)

6.57_05  Sat Sep 11 23:24:00 EEST 2010
    Bug Fixes
    * AUTHOR compatibility code should also be called after CONFIGURE callback

6.57_04  Thu Sep 09 23:59:00 EEST 2010
    Bug Fixes
    * Fix several_authors.t
    * Upgrade bundled modules: ExtUtils::Manifest 1.58.

6.57_03  Thu Sep 09 01:31:00 EEST 2010
    Bug Fixes
    * Update MANIFEST

6.57_02  Wed Sep 08 02:40:00 EEST 2010
    Bug Fixes
    * Don't do MANIFEST checks in PERL_CORE (Robin Barker)
    
    New Features
    * Accept several values (arrayref) in AUTHOR (Alexandr Ciornii)
    * Add MYMETA.yml support (Adam Kennedy, Alexandr Ciornii)
    * NO_MYMETA key to suppress MYMETA.yml generation (Alexandr Ciornii)

6.57_01  Tue Aug 24 01:36:20 PDT 2010
    Improvements
    * parse_abstract() is more robust supporting "Package.pm" and multiple
      dashes and spaces. [rt.perl.org 74438]

    Bug Fixes
    * Recognize .so files in AIX. [rt.cpan.org 41360] (Jens Rehsack)
    * Remove manual image-base generation on Win32/gcc [rt.cpan.org 47138]
      (Yasuhiro Matsumoto)
    * Use the bundled versions of our dependencies if they're not installed.
    * Eliminate use of foreach qw() which will be deprecated in 5.14.
      [rt.cpan.org 57124] (Zefram)

    Test Fixes
    * Guard against old versions of YAML::Tiny that worked differently.
      [rt.cpan.org 55500]


6.56  Thu Dec 17 14:02:14 PST 2009
    * Stable release of 6.55_03


6.55_03  Fri Dec  4 23:08:02 PDT 2009 
    Bug Fixes
    * BUILD_REQUIRES will not be used when generating ppd, PRINT_PREREQ and
    'requires' section of META.yml (Alexandr Ciornii)

    OS/2
    * Better compatibility with miniperl [rt.cpan.org 48534] (Ilya Zakharevich)

    Win32
    * mingw64 support (Sisyphus)
    * Fixed a typo causing bad Makefiles for Visual C++ users (Steve Hay)

    New Features
    * The new "package NAME VERSION" syntax from 5.11 is now supported by
      parse_version() and thus VERSION_FROM.  The first version declaration,
      package or $VERSION, is used. (David Golden)


6.55_02  Wed Aug  5 00:36:36 PDT 2009
    Feature Changes
    * PREFIX now applies to relative directories.  This is a change since
      6.20 when they were ignored.  Its necessary for relocatable Perls.

    VMS
    * Refactoring of "MakeMaker Parameters" section in 6.55_01 broke VMS.
      (Craig Berry)


6.55_01  Tue Jul 14 15:53:30 PDT 2009
    Test Fixes
    * The tests got a bit overzealous and removed the LIB environment variable
      while is necessary for some compilers to work. [rt.cpan.org 47722]
      (Jan Dubois)
    * Another fix for arch_check() on Windows changing how we normalize
      long and short filenames. [rt.cpan.org 47723] (Jan Dubois)

    New Features
    * BUILD_REQUIRES is added, similar to PREREQ_PM but for modules which
      are necessary to build, but not run, your module. (Alexandr Ciornii)


6.54  Tue Jul  7 16:48:22 PDT 2009
    Test Fixes
    * Added perl core boilerplate code to a few new tests which were missing
      them.


6.53_03  Thu Jul  2 14:47:45 PDT 2009
    Bug Fixes
    * You'd get a warning if you had a PREREQ_PM on a module with no $VERSION
      like Config (broken in 6.51_01) [rt.cpan.org 47448]

    Test Fixes
    * Upgrade the version of Test::More we ship with to 0.88.
    * Fix MM_Cygwin.t for older Perls missing Cygwin::win_to_posix_path()
      broken in 6.53_01.
    * Fix miniperl.t for Windows.  Our method of shutting off XS didn't
      work for Win32.pm
    * Old versions of version.pm, like what ships with OS X, dent Foo->VERSION
      causing prereq.t to fail.  [rt.cpan.org 47296]
    * Add missing core test boilerplates
      [blead e39d780342f3e91579069fdc80eda72bfe639ae7]


6.53_02  Sun Jun  7 19:24:56 PDT 2009
    Test Fixes
    * Stray use of Shell::Command broke older perls

    Other
    * MakeMaker will now automatically test itself with multiple
      perl versions before releasing.


6.53_01  Sun Jun  7 19:02:20 PDT 2009
    Bug Fixes
    * blib will now be rebuilt if the Makefile is changed
      [rt.cpan.org 46658]
    * 6.52 broke the setting of EXTRALIBS, LDLOADLIBS and BSLOADLIBS
      when $self->{LIBS}[0] is undefined.
      [rt.cpan.org 46633] (Craig Berry)

    Cygwin
    * Fixed MM_Cygwin.t when the path prefix (ie. cygdrive) has been
      changed by the user. [rt.cpan.org 46585] (JDHEDDEN)

    VMS
    * Removed attempts to compensate for the "bin" logical added
      by some versions of GNV, Craig says they're futile.
      Put a warning into the Makefile.PL instead.
      [rt.cpan.org 46679] (Craig Berry)
    * Removed the arch_check() special case for VMS.
      [rt.cpan.org 46678] (Craig Berry)

    Win32
    * Restore building the core by not trying to load the Win32
      module in arch_check() with miniperl.
      [rt.cpan.org 46667] (Max Maischein)

    Tests
    * Forgot to get rid of the tests for bytes and vmsish
      which were removed in 6.51_01.
    * Stopped running a Windows specific arch_check.t test
      on non-Windows. (Craig Berry)
      [rt.cpan.org 46678]


6.52  Sat May 30 11:22:04 PDT 2009
    Docs
    * Documented CONFIGURE_REQUIRES (Alexandr Ciornii)
    * Modernized the docs for PREREQ_PM


6.51_04  Sun May 24 14:04:11 PDT 2009
    Other
    * All work on INSTALLHTML* has been reverted pending a fix for
      [rt.cpan.org 45600]


6.51_03  Sat May 23 22:38:26 PDT 2009
    Bug Fixes
    * Building *.C files was broken in 6.37. [rt.cpan.org 45557]
      Thanks to Rajesh Mandalemula for spotting it.
    New Features
    * Optional parameter CONFIGURE_REQUIRES was added, to control
      this section in META.yml (Alexandr Ciornii)


6.51_02  Mon Apr 13 21:19:56 PDT 2009
    Bug Fixes
    * Fix a minor bug with the new PERM_DIR stuff which caused EUI to think
      PERM_DIR was an install skip file.
    * A Win32 function call in the last alpha broke Win32 builds.


6.51_01  Fri Apr 10 14:30:27 PDT 2009
    New Features
    * Module installation will not be stopped by a broken Pod::Man.
      Man pages will just not be installed.
      [rt.cpan.org 43546] (Jesse Vincent)
    * vim swap files, *.swp, will now be ignored by MakeMaker.
    * Added PERM_DIR to control permissions on directories.
      [rt.cpan.org 3927] (Rajesh Mandalemula)

    Feature Changes
    * Modules in PREREQ_PM are no longer loaded in order to figure out
      their version.  parse_version() is used instead.
      [rt.cpan.org 44646]
    * PPD files generated with "make ppd" now use the new REQUIRES key
      rather than the now deprecated DEPENDENCY.
      [rt.cpan.org 25179] (GAAS)
    * PPD files no longer contain the deprecated OS tag.
    * fixin is a bit less restrictive allowing things like 
      #!perl5.8.8 and #!perl-debug [rt.cpan.org 29442]
    * Remove the unused perm_rw() and perm_rwx() methods.

    Bug Fixes
    * On 5.10 "make ppd" would generate the wrong ARCHITECTURE saying the
      version is 5.1 instead of 5.10.
    * Our pod2man emulation now requires an argument to --perm_rw.
      [rt.cpan.org 35190] (imacat)
    * DISTVNAME was documented as a WriteMakefile() param but you'd
      get a warning if you tried to use it.  [rt.cpan.org 43217]
    * Better support for parallel make installs.
      [rt.cpan.org 32758] (Brendan O'Dea)
    * parse_version() will now skip uses of $VERSION in conditions
      [rt.cpan.org 9452] (jc@unser.net)
    * The architecture mismatch warning could show up on Win32 due
      to long vs short filenames being used to compare.
      [rt.cpan.org 33532] (DAGOLDEN)
    * maybe_command() will recognize Windows executables in
      /cygdrive on Cygwin [rt.cpan.org 16375] (PJF)
    * parse_version() will now look for the first use of $VERSION
      that results in $VERSION being set.

    Test Fixes
    * basic.t will not leave a "bin" environment variable defined on VMS.
      [rt.cpan.org 42150] (John E. Malmberg)
    * Made the tests work ok on systems whose makes assume that files which
      have the same mod time are out of date.  This is often the case for
      the tests which generate files and run make rapidly.
      [rt.cpan.org 29955] (Ken Hirsch)
    * skip test numbers were wrong on VMS in t/basic.t
      [rt.cpan.org 43511] (John E. Malmberg)

    Portability
    * Removed a few hard coded uses of the "false" command.
      [rt.cpan.org 44504]

    VMS
    * Fixed a few calls to catfile() that should be catdir().
      (John E. Malmberg)
    * Override catdir() and catfile() to expand macros.  This is normally done
      inside File::Spec::VMS but is really a MakeMaker-only thing.
      (John E. Malmberg)

    Other
    * Remove ExtUtils::MakeMaker::bytes and vmsish which are unused and
      seem to never have been used.
    * Repository now on github.


6.50  Sun Mar 22 12:28:06 PDT 2009
    Windows    
    * Remove the special checks for compilers that need a "manifest".  Instead,
      the code will just be a no-op if there's no manifest.  Or something.
      I dunno, I'm hoping Jan and Steve know what they're doing.
      [rt.perl.org 61492]


6.49_01  Thu Feb 19 17:06:36 PST 2009
    New OS Support
    * Recognize "Haiku", a resurrection of BeOS.

    New Features
    - META.yml now includes ExtUtils::MakeMaker in build_requires by
      default.

    Test Fixes
    - ExtUtils::Install 1.51 changed its output breaking some tests that
      were looking for /^Writing/ [rt.cpan.org 42927]

    Bug Fixes
    - Upgrade bundled modules:  ExtUtils::Install 1.52, ExtUtils::Command
      1.16, ExtUtils::Manifest 1.56.

    Other
    - The MakeMaker repository moved slightly.  Changed the metadata to
      reflect this.  [rt.cpan.org 41571]


6.48  Mon Oct 20 11:18:13 PDT 2008
    Test Fixes
    * Protect against stray environment variables effecting the tests.
      [rt.cpan.org 14930]


6.47_02  Thu Oct 16 16:14:20 PDT 2008
    Test Fixes
    * MIN_PERL_VERSION test had some goofs on VMS. [thanks Craig Berry]


6.47_01  Tue Oct 14 12:38:05 EDT 2008
    New Features
    * Added optional parameter MIN_PERL_VERSION, to define minimal
      required perl version for dependency checks and to pass on to
      META.yml and ppd files.        [rt.cpan.org 28374]
      Thanks to David Golden, Alexandr Ciornii (chorny) and Martin Becker

    Bug Fixes
    * Guard against a path to Perl with a space in it.
      From Max Maischein.  [bleadperl@32905]  

    Test Fixes
    - Small fix for VOS from Paul Green [bleadperl@33259]

    Other
    * $ExtUtils::MakeMaker::Revision, $ExtUtils::MM_Unix::Revision and 
      $ExtUtils::MM_VMS::Revision are all now based on $VERSION.  You
      shouldn't be using them for anything anyway.


6.46  Sat Sep 27 17:34:03 EDT 2008
    Bug Fixes
    - Fix META_MERGE for more than one level of hashes.  [rt.cpan.org 39348]


6.45_02  Sun Sep  7 13:59:14 PDT 2008
    Bug Fixes
    - Updated bundled ExtUtils::Command to 1.14, ExtUtils::Install to
      1.50 and ExtUtils::Manifest to 1.54

    Test Fixes
    - t/writemakefile_args.t had the wrong skip amount causing failures
      when run without version.pm (mostly 5.6 users)


6.45_01  Sat Sep  6 03:19:03 PDT 2008
    New Features
    * META_ADD and META_MERGE have been added to manipulate the META.yml.
      Thanks to Adriano Ferreira.                       [rt.cpan.org 21282]
    - META.yml now includes configure_requires ExtUtils::MakeMaker by
      default.                                          [rt.cpan.org 32337]
    - META.yml now excludes t/ and inc/ from indexing by default.
    - META.yml license is now "unknown" instead of undef if a LICENSE is not
      given.
    - META.yml now conforms to version 1.4 of the spec.

    Bug Fixes
    - Make @MM_Sections and @Overridable global again.  It's an undocumented
      but used way to manipulate MakeMaker behavior. [rt.cpan.org 36047]

    Portability
    * Changed the name/dmake test in MM_Win32.pm to use regexs to that
      they are able to handle Perl on a Stick absolute paths.


6.44  Thu Feb 28 16:06:04 PST 2008
    Bug Fixes
    * Updated bundled ExtUtils::Install to 1.45 which should fix some
      Cygwin issues. [rt.cpan.org 33291]


6.43_01  Tue Jan  1 16:06:47 PST 2008
    Bug Fixes
    * Change the "is this really a Perl core library directory" checks to
      look for strict instead of Exporter.  Now that Exporter is on CPAN
      it can wind up in site_perl.
    * split_command() will now set aside a little more space for macro
      expansion.  This should help on systems with cramped command line
      lengths.  Specifically, Pugs on Win32.  [rt.cpan.org 20145]

    Installation
    * MakeMaker would not install if the installed MakeMaker was too old,
      like on 5.6.1.  The installation process was still using the
      installed MakeMaker in a few places.  This has been fixed.
      [rt.cpan.org 24746]

    OS X
    * "make dist" will no longer bundle up resource fork files (._foo).
      [rt.cpan.org 29525]

    Docs
    * The documentation of VERSION_FROM was recommending vstrings (1.2.3)
      which have never worked right.
    * The documentation for the accepted values of LICENSE moved to
      Module::Build::API. [rt.cpan.org 32020]

    Tests
    * The compilation test was testing the installed modules, not the
      about-to-be-installed.
    * xs.t would fail if ExtUtils::CBuilder was not installed.
    
    Misc
    * Cleanups brought to you by no more 5.5 compatibility!
    * MakeMaker is now perlcritic clean at severity level 5... except
      the really silly ones.
    * DIE use vars DIE!
    * Added some resources to the META.yml

6.42  Fri Dec  7 17:00:14 PST 2007
    Bug Fixes
    - 6.33 moved PREREQ_FATAL to happen after CONFIGURE.  This meant if
      your CONFIGURE use a prereq it would fail and no PREREQ_FATAL
      message would be displayed.
    - Put the "nicetext" functionality back, VMS needs it to deal with
      other people's custom make.  But rename it to the more
      accurate maketext_filter(), test it and fix a bug where it would
      stop processing if it saw a macro declaration.

6.40  Thu Dec  6 03:00:47 PST 2007
    Bug Fixes
    - Remove the dubious nicetext() Makefile formatting hack to account for
      a lack of space between the target and colon needed on VMS.  This
      interfered with META.yml creation on VMS and possibly other output.
    - Fix the remaining targets which don't have a space between the target
      and the colon.

6.38  Wed Nov 28 16:01:12 PST 2007
    Releasing 6.37_03 as 6.38.

6.37_03  Mon Nov 26 14:15:34 PST 2007
    Tests
    - parse_version.t had wrong test count when version.pm isn't installed.
    - Fixed some warnings in the XS module we're using for testing.
    - "our $VERSION" test in parse_version.t was never running
    - Quoting uses of 1.2.3 style versions in parse_version.t to protect
      older perls.

    Portability
    - Moved the minimum required version up to 5.6.0.

6.37_02  Sun Nov 25 23:33:14 PST 2007
    Test Improvements
    - Added a test for a basic XS build.

    Bug Fixes
    - A refactoring in 6.37_01 broke XS compilation.

6.37_01  Sun Nov 25 17:05:53 PST 2007
    Improvements
    - Upgraded the META.yml to version 1.3 of the spec (which really
      doesn't change anything).  Thanks bdfoy.
    - MakeMaker now always includes the required 'author' field in 
      the META.yml even if it's undef to comply with the META.yml spec.
    - Updated ExtUtils-Install to latest version (1.44)
    - Unified the version numbers of all modules.

    Test Fixes
    - cd() test on VMS used non-native paths. [bleadperl 31534]
    - Removed uses of "no_plan" in tests to remain compatible with
      old versions of Test::Harness.
    - writemakefile_args.t had the wrong test count if version.pm isn't
      installed.

    Bug Fixes
    - $VERSION detection code would be confused by "sub version"
      [rt.cpan.org 30747]
    - LINKTYPE=static will now be propagated to child builds.
      [bleadperl 31761]

    Portability Fixes
    - Add "dragonfly" to the list of BSDish operating systems
    - BSD detection code would not pick up bsdos or internix
    - Fix detection of shared libperl on NetBSD [bleadperl 31526]


6.36  Tue Jul  3 01:06:40 PDT 2007
    Test Fixes
    - version.pm prior to 0.7203 caused Foo->VERSION to reformat
      $Foo::VERSION.  This caused prereq.t to fail.

6.35  Sun Jul  1 20:53:38 PDT 2007
    New Features
    * MakeMaker will now try to "use version" before parsing $VERSION.
      This allows "$VERSION = qv(1.2.3)" to work.

    Test Fixes
    - writemakefile_args.t now works with older versions of version.pm

6.34  Sat Jun 30 11:06:54 CDT 2007
    Test Fixes
    - Accidentally hard coded the version of strict.pm [rt.cpan.org 27838]

6.33  Fri Jun 29 17:15:34 CDT 2007
    New Features
    * VERSION now accepts version objects without warning.
      [rt.cpan.org 26075]

    Bug Fixes
    - Properly not installing MANIFEST.SKIP when ExtUtils::Manifest is not
      being installed. [rt.cpan.org 21318]
    - fixin() no longer clobbers $/ [rt.cpan.org 26234]
    - Fixed bug finding cross-compiled perls [bleadperl 31404]
    - Looking up to 8 levels up to find uninstalled perls
      [bleadperl 30932]
    * A test failure in a sub-project would not cause "make test" to
      fail. [rt.cpan.org 27804]

    Windows
    - Embed manifest files in EXEs and DLLs when building with VC++ 8.x
      [bleadperl #29266] [rt.cpan.org 26208]
    - Improved the subdir command code so DIR can do more than one level
      down. [rt.cpan.org 25180]
    - Fix static builds on Win32 by using -DPERLDLL [bleadperl 31229]

    VMS
    - Use linker flags rather than compiler flags to determine if the
      perl sharable image was linked debug.  This keeps OPTIMIZE from
      confusing things. [rt.cpan.org 25268]
    - Accidental use of $\ in a regex. [bleadperl 30521]

    BSD
    - If calling perl causes MakeMaker to emit warnings, then it
      cannot find the location of its binary. [rt.cpan.org 23178]

    Doc Improvements
    - Typo fixes.  $(TOUNIX) -> $(TO_UNIX).  [rt.cpan.org 23495]
    - The example for setting $VERSION from $Revision$ in SVN was
      incorrect. (Thanks to ROBERTMAY@cpan.org) [rt.cpan.org 26995]
    - Document what's wrong with PREFIX and what to use instead.
      [rt.cpan.org 12919]
    - Improve the PREREQ_FATAL docs to make it really clear that you
      do NOT want to use this!

    Misc
    - Provide information during the install about whether we're using the
      installed or provided dependency (ie. ExtUtils::Command).
    - Updated included versions of ExtUtils::Manifest and Command.
    - Add .bak and .old to veryclean [rt.cpan.org 21284]
    - Improved the PREREQ_FATAL message.

6.32  Wed Feb 21 07:59:57 PST 2007
    New Features
    - WriteEmptyMakefile() is now exportable upon request.
    
    Bug Fixes
    - Set binmode() when writing to files in Command.t for operating
      systems which need that sort of thing.  [bleadperl #29578]
    - Fixed a minor duplication in manifypod_target().  [rt.cpan.org 22149]

    Test Fixes
    - The build_man.t test would fail if your Perl is configured to not
      generate man pages ($Config{installman3dir} is set to none).

    Doc Improvements
    - Made the home dir install examples a little more friendly to non-Unix
      folks.

    Misc
    - miniperl no longer has the Win32 functions.
    - Turn on "use strict" where it was missing.

6.31  Mon Oct  9 16:54:47 PDT 2006
    - Update our META.yml to version 1.2 of the spec.
    * Update the SEE ALSO to mention Module::Build, Module::Install,
      ExtUtils::ModuleMaker and Module::Starter.
    - Fix ARCHITECTURE tag in PPD generation for 5.8 (patch taken from
      ActiveState 819). [rt.cpan.org 20566]
    * Bring ExtUtils::Manifest up to 1.48

6.30_04  Mon Sep 11 16:14:06 EDT 2006
    - EXTRA_META has been undocumented as I don't like the way the
      interface works but I don't want to hold up 6.31.  It will be
      replaced with something better next version.
    - Added explaination of distclean behavior and instructions on how to
      blow away anything not in the MANIFEST to the FAQ.
    * 6.30_01 broke overrides of PM.  MakeMaker would add to a user
      suplied PM rather than simply accepting it.
    * Document INSTALL_BASE.
    * Added "How do I install a module into my home directory?" to the FAQ
    * Added "How do I get MakeMaker and Module::Build to install to the
      same place?"
    - Moving ExtUtils::Mksymlists and ExtUtils::Mkbootstrap back into
      lib/ because no independent distribution has taken them over.

6.30_03  Fri Sep  1 17:03:11 EDT 2006
    - Minor fix to Command.t for Win32.

6.30_02  Fri Sep  1 15:03:55 EDT 2006
    - Updated to ExtUtils::Install 1.41
    * Won't scan for and build man pages when MAN3PODS is deliberately set
      empty.
    - Minor VMS fixes. [bleadperl@26813]
    - VMS->one_liner must quote "--" argument. [bleadperl@27613]
    * Split INSTALLSCRIPT into INSTALLSCRIPT, INSTALLSITESCRIPT and
      INSTALLVENDORSCRIPT so it now honors INSTALLDIRS. [bleadperl@26536]
    - Minor fix to work with Pod::man 2.04. [bleadperl@26457]
    - $Revision was broken.
    - Updated our internal version of Test::More to catch a few warnings.
    - ExtUtils::Command::test_f() test was broken.
    - Clarified that test_f() exits.

6.30_01  Tue Aug 16 23:53:27 PDT 2005
    * Fixed compiling modules using an uninstalled Perl on Win32 by using
      the proper perl header location for Windows (which is different from
      Unix).  Looks like a very old bug.  [bugs.perl.org 36128]
    - $ExtUtils::MakeMaker::Revision accidentally left in a stray "Revision".
      [thanks pdx.pm for noticing this]
    - Fixed the $VERSION = $Revision$ example in the MakeMaker docs and the
      FAQ. [thanks again, pdx.pm]
    - Elaborated on the differences between CVS, SVN and others when using
      $Revision$ based $VERSIONs.
    * ExtUtils::Command, ExtUtils::Install, ExtUtils::Manifest,
      ExtUtils::Mkbootstrap, ExtUtils::Mksymlists and ExtUtils::Packlist
      are all now considered to be separate distributions.  To avoid a 
      circular dependency, MakeMaker distributes its own versions but CPAN 
      should not index them and they will not overwrite a newer, installed 
      version.
    * Added EXTRA_META option to allow module authors to append extra
      text to the generated META.yml.
    * Added a LICENSE field mirroring Module::Build's license.
    * META.yml support updated to version 1.1.  All required fields
      now generated.  (NOTE: 1.1 isn't yet complete but we're going with
      it anyway.  MakeMaker uses "author" instead of "authored_by" as its
      expected the former will be used in 1.1 final).
    * Non-conforming version_from and installdirs META.yml fields removed.
    * META.yml distribution_type field now intelligent enough to guess at
      the type rather than hard code 'module'.
    * INSTALLBASE changed to INSTALL_BASE to match Module::Build.
    * Added a MAKE parameter for Windows users to say if they're using
      dmake or nmake.

6.30  Fri May 20 16:05:38 PDT 2005
    * PL_FILES behavior tweak again to restore old behavior.  Sometimes its 
      supposed to run before pm_to_blib, sometimes after.
    - Some tests shipped with 'no_plan' which will break on older 
      Test::Harness.

6.29  Thu May 19 14:15:21 PDT 2005
    * The behavior of PL_FILES is restored to its pre-6.26 behavior as several
      CPAN modules depend on this.  PL programs run via PL_FILES have 
      INST_LIB and INST_ARCH in their @INC and so can load any just built 
      modules.
    - Now honors PERL_CORE environment variable.
    - Testing to ensure FIRST_MAKEFILE is honored.

6.28  Tue Apr 12 16:17:07 PDT 2005
    - Fix realclean so it cleans up files installed from ext/ in the core
    - Fix dir_target() so it doesn't warn should any of the INST_* paths
      be the same (as with the ext/ modules in the core)
    - Fix MANIFEST.SKIP so it skips not just _darcs/ but everything inside
      it and any which happen to be in subdirs.
    - MM_AIX forgot to import neatvalue() from E::MakeMaker. 
      (bleadperl@24185)
    - Fixed a minor C<<>> POD nit (Scott Lanning)

6.27  Mon Apr  4 16:36:14 PDT 2005
    * Added _darcs to the list of revision control administrative 
      directories skipped both in libscan and in MANIFEST.SKIP.

6.26_01 Mon Mar 28 21:34:39 PST 2005
    * PL_FILES was broken in the last release.  The .PL files were not being
      passed the file they were to generate.
    * How PL_FILES runs the programs and what it does with the value is 
      now documented.
    * The default behavior of PL_FILES is now documented.

6.26  Mon Mar 21 20:36:22 PST 2005

6.25_12 Fri Mar 18 16:15:35 PST 2005
    - Use the generic dmake search.cpan.org URL in the README so the newest
      version is found.
    - Fixed pm_to_blib trouble on VMS introduced in 6.25_10.

6.25_11 Tue Mar 15 02:00:20 PST 2005
    - Fixed minor parent class dependency loop in ExtUtils::MM_Any.
    - Fixed a circular dependency on processed PL files introduced as part
      of RT 6460 in 6.25_02.

6.25_10 Sun Mar 13 16:14:04 PST 2005
    - pm_to_blib.ts is gone, back to pm_to_blib (except on VMS).  I 
      couldn't make it work and still retain backwards compatibility.
      This fixes the recompilation problems that plagued _09 and various
      previous alpha releases.

6.25_09  Sat Mar 12 10:10:34 PST 2005
    - Stubbing out PASTHRU on VMS.  $(MMSQUALIFIERS) should do the equivalent
      and better.
    - Added test to check for the existence of a compiler so XS tests are
      now possible.

6.25_08  Tue Feb  8 09:04:36 EST 2005
    - Fixing xsubpp on VMS.  Had a foo/bar path in it.
    - Turning XSUBPP into a runable command by the addition of PERLRUN
      made it unusable as a dependency.  Added XSUBPPRUN for that and left
      XSUBPP alone.
    - Removed DESTDIR from PASTHRU as install is not recursive and it can
      make commands too long on VMS.
    - Older versions of MMS cannot handle directory targets at all.  Using
      .exists files everywhere.
    - Restore missing *.Opt clean on VMS.
    - Fix .exists files accidentally getting caught in static builds.
    - Older versions of MMS cannot handle directory targets at all.
    - Add Interix support (bleadperl@33892)
    - distsign target changed to distsignature to avoid clash with
      Module::Install

6.25_07  Fri Dec 31 03:47:20 EST 2004
    - perllocal on VMS was inserting executables twice.
    - No longer using $(IGNORE) macro.  Turns out MMS/K was not honoring
      it.  Using "-$(NOECHO) command" which seems to make everybody happy.
    - Executables with no extension weren't getting installed on VMS due to 
      a bug in rename().  Broken sometime in this series of alphas.

6.25_06  Sun Dec 26 17:21:37 EST 2004
    - Forgot to define BOOTDEP macro.
    - .exists files are back.  Directories cannot be used directly as 
      targets as their mod time changes too frequently.
    * Added INSTALLBASE as an alternative to PREFIX but haven't documented
      it yet.  I'll do that next release.

6.25_05  Wed Dec 22 07:59:02 EST 2004
    - One of the 6.25 alphas broke BSD make.  It doesn't like "- @ command".
      Fixed by adding an $(IGNORE) macro.
    - 6.25 alphas caused a Makefile to be added to the dist.  Fixed.
    - The new cd() code needed to be dependent on dmake or nmake for
      Windows.  Not Win9x vs WinNT/XP.

6.25_04  Tue Dec 21 00:53:06 EST 2004
    - 6.25_03 was always rebuilding XS modules.

6.25_03  Mon Dec 20 23:04:22 EST 2004
    - dir_target() is back.  Now each directory to be created has its own 
      target like before, but no more .exists or blibdirs.ts files.  This
      ensures that each blib directory is created as necessary and fixes
      things like SVN's perl bindings.

6.25_02  Mon Dec 20 03:31:49 EST 2004
    - Set PM_FILTER as late as possible so it can see all the earlier
      macro definitions.  Necessary for challenged make implementations
      like nmake.  Should fix Mail::SpamAssassin installs on Win32.
      [rt.cpan.org 4545]
    - clean and realclean are now more careful about accidentally deleting
      directories instead of files.  [rt.cpan.org 6851]
    - small fix for parallel builds, make sure pm_to_blib has run before
      we try to use stuff in blib. [rt.cpan.org 6460]
    - MAKEFILE=foo appears to have been broken for recursive builds and
      several other things.  I think this was broken by 6.18.

6.25_01  Fri Dec 17 21:29:04 EST 2004
    * *.bak added to the default MANIFEST.SKIP.
    * META.yml will no longer be generated in the build directory.  It will
      only appear in the distdir.  This should make it easier on developers,
      they don't have to worry about checking the file in all the time.
    * Similarly, the SIGNATURE file will not be updated in the build 
      directory.  It will only be generated in the distdir.
    - A bunch of redundant Win9x and VMS code removed.
    - 'make test' on Windows no longer pre-expands its list of test files.
      This caused problems on large distributions like bioperl.  Thanks to
      Tim Bunce for suggesting the obvious fix.

6.25  Wed Dec 15 06:59:46 EST 2004
    - Build.PL was being considered like Module_pm.PL.  Build.PL is now 
      ignored.  [radek@karnet.pl] [rt.cpan.org 8809]
    - Devel::Cover cover_db/ directory now ignored by MANIFEST.SKIP

6.24_01 Thu Dec  9 00:44:48 EST 2004
    - Docs encouraged possibly insecure use of /tmp [CAN-2004-0976 via Debian]
    - Remove empty rpath from .so files [bleadperl@23183]
    - At long last the core man page title has its apostrophe.
    - BeOS tests fixed [Ingo Weinhold] [perlbug #32717]
    - Putting a pm_to_blib target back (alias of pm_to_blib.ts) in case
      anyone was depending on it being there (mod_perl was).

6.24 Tue Nov 30 15:35:13 EST 2004
    - dir_target() was accidentally named dir_targets() causing problems
      installing some Tk modules.

6.23 Fri Nov 26 16:01:50 EST 2004
    - MM_MacOS lost its $VERSION causing some CPAN indexing problems.  Enough
      people noticed this to warrant a quick release.

6.22 Tue Nov 23 22:22:22 EST 2004
    - Minor glitch in Command.t test on Win32 [thanks Steve Hay]
    * Fixed MANIFEST.SKIP so it avoids all the new *.ts files.
    - Don't spuriously define pasthru arguments

6.21_03 Sat Apr 3 2004
    - pm_to_blib and blibdirs stamp files now pm_to_blib.ts and blibdirs.ts
      everywhere because some filesystems insist you have a dot in the 
      filename.  This eliminates a bunch of special case code.
    - Minor potential glitch in the version check logic.
    - Making Makefile rebuild logic more resistant to inconsequential
      errors when cleaning up things that are going to be rebuilt anyway.
    - Adding SCCS to the list of directories in MANIFEST.SKIP.
    * Fixing blibdirs so it doesn't rebuild every make run.
    * Using a more conservative MAX_EXEC_LEN for Win98 to allow building
      large modules like Encode. [Greg Matheson]
    * test target mangled by dmake.  Doesn't seem to like q{}.
      [Greg Matheson]
    - instmodsh now using Archive::Tar to create archives if available.
      [Slaven Rezic]
    - instmodsh now using more portable tar flags to create archives.
      [Slaven Rezic]
    - Added FAQ entry for "How do I use a module without installing it?"
      and "How do I keep from installing man pages?" [Joe Cromie]
    - Fixed finding the default MANIFEST.SKIP if its on a different volume
      [Ilya Zakharevich]
    - When building Perl, we had a chance of picking up the old installed
      xsubpp from @INC [Andreas Koenig]
    - makeaperl() now a bit more intellegent about ignoring perl libraries
      not called libperl.  [Ilya Zakharevich bleadperl@22032]
    * MacOS Classic (MacPerl) is no longer supported.  Please use
      Module::Build instead.
    * Restored pm_to_blib.ts so pm_to_blib generation will be quiessent on
      VMS. [rt 4675]
    - For simplicity, dir_target() is now a no-op.  Should not effect any
      existing uses.
    - Converted utility commands from using $(PERLRUN) to $(ABSPERLRUN).
      This allows distclean to work with SDBM_File. [rt 5616]
    - realclean was using "rm -f" instead of "rm -rf" meaning directories
      wouldn't be properly cleaned.  Caused by bleadperl@7952. [rt 5208]
    - fixpath() could undo wraplist() on VMS [rt 4955]
    - ensure ExtUtils::Command::rm_f deletes all versions of a file on VMS
      [rt 4687]
    - hint.t generating improperly named hint files on OS's where $^O
      contains a '.'.  They should be converted to underscores.  Test
      mistake, not a bug.  [rt 5365]
    - Fixed ExtUtils::Command::chmod() so it will work on directories on
      VMS. [rt 4676]
    - parse_version.t was using no_plan causing trouble on older T::Hs.
      [rt 5633]

6.21 Tue Nov 11 00:12:56 PST 2003
    - NetBSD was looking in INSTALLARCHLIB/CORE for libperl instead of 
      PERL_ARCHLIB/CORE.  Would cause problems if INSTALLARCHLIB was changed
      (ie. LIB or PREFIX used). [Jochen Eisinger]
    - Turns out a handful of modules use dir_target().  Restored a version
      for backwards compatibility.
    - Moved blibdirs target from top_targets() to its own section.  Lots of
      modules rewrite top_targets() so blibdirs wouldn't be written.

6.20 Thu Nov  6 02:25:58 PST 2003
    - Fixing dos2unix on Cygwin.  In-place editing doesn't work 100% so we
      take a more conservative approach.
    - Small postamble.t test temp file cleanup fix for Cygwin and Windows.
    - Small Command.t test fix for 5.5.3.  No real bug [rt 4290]
    - Small Liblist fix for Cygwin and import libraries [Gerrit P. Haase]
    - metafile error message slightly mangled.  Bare $! mistake confusing 
      nmake [rt 4285 4301]

6.19 Mon Nov  3 22:53:56 PST 2003
    - Removed 00setup_dummy.t and zz_cleanup_dummy.t.  Tests now setup and
      teardown the dummy modules as needed.
    - Little test glitch on systems without $Config{usevendorprefix} set
    - INSTALL(SITE|VENDOR)MAN*DIR now fall back to $(INSTALLMAN*DIR)
      instead of copying its value.  This lets "perl Makefile.PL 
      INSTALLMAN1DIR=/some/man/man1" work like expected.

6.18 Mon Nov  3 20:09:51 PST 2003
    - parse_version() was blowing over $_ (Ilya Zakharevich)
    - 5.6.2 has the same Cygwin shared lib name fix as 5.7.0. (Gerrit Haase)
    * When $Config{install(site|vendor)man*dir} aren't set it will now
      fall back to $Config{installman*dir}.  Similar for 
      $Config{install(site|vendor)bin}.  This preserves behavior for older
      Perls.
    * Eliminated the dependency on perl.h for pure-perl builds.
    * Eliminated .exists files.  Added blibdirs target using MKPATH instead.
    - Removed now unused dir_target() method.
    - Added a little documentation to instmodsh.
    * Made sure PREFIX always has something in it.  Module authors like to use
      it when extending MakeMaker.  Currently using one of 
      PERL/SITE/VENDORPREFIX based on the value of INSTALLDIRS.
    * Added SIGN to generate module signatures with cpansign (Autrijus Tang)
    - Slight tweaks to MAKEFILE_OLD and MAKE_APERL_FILE restoring a mistake
      made around 6.06 to fix static builds on OS/2
    - Added ExtUtils::Command::dos2unix()
    * manicopy() would make the copied files read-only if 'cp' was used.
    * Fixed prereq check for modules which are also keywords like if.pm and
      open.pm (Autrijus Tang)
    - Made ExtUtils::Command mv and cp return whether or not they succeeded.
    * metafile_addtomanifest now mentions what its doing.
    * metafile will not die if it can't write to META.yml, just emit a 
      warning.  This lets 'make dist' continue with a read-only META.yml
    - Small fix to identify UWIN on NT (Randy Sims)
    * metafile will not touch the META.yml if it does not need to be changed
      (Thanks to Tim Bunce for this idea)
    * Fixed 'make uninstall' which looks like its been broken since last
      November and nobody noticed.
    - Fixing minor bug in VMS prefixification logic when PREFIX was not set
      by the user.
    - Fixing potential bug in prefixification for relative directories
    * Documented UNINST=1

6.17 Sun Sep 14 20:52:45 PDT 2003
    - Fixing LD so it can be set properly on Win32. (Orton Yves)
    * Fixing the init_PERL() "tack $Config{exe_ext} onto $^X" logic so 
      it works on VMS allowing $^X to be found.
    * Fixing make install UNINST=1 on Windows so it can search PERL5LIB
      (Orton Yves)
    - Fixing "could not open MANIFEST" test for OS/2 (and probably others) 
      where a read-only file cannot be deleted.
    - Hacking around the fact that when built for debugging, VMS creates
      ndbgperl.exe.
    - Eliminating the never implemented "help" argument.

6.16 Mon Aug 18 01:39:51 PDT 2003
    * Fixing the max exec length for Windows to account for old
      versions of nmake (the one you can download for free from MS).
    - Hack to normalize //foo//bar paths in ExtUtils::Installed.
      [Sreeji K Das]
    * Adding Module::Build utility files to MANIFEST.SKIP
    - PREREQ_PRINT is supposed to exit after dumping. (Wolfgang Friebel
      bleadperl@20530)
    - maniadd() was trying to open the MANIFEST even if it didn't need to
      causing unnecessary errors for read-only MANIFESTs (rt.cpan.org 3180)

6.15 Sun Aug  3 16:41:05 PDT 2003
    - Make FIXIN on Win32 use the new pl2bat rather than an already
      installed one when building the core (Mattia Barbon)

6.14 Sun Aug  3 16:23:27 PDT 2003
    - Adding a reference to the Module::Build META.yml spec in the META.yml
      itself and the metafile documentation.
    - Removed Begin/End comments from manifypods that were getting in the
      way of users adding code to the manifypods target.
    - Putting a POD2MAN macro back as an alias to POD2MAN_EXE and using
      it instead of POD2MAN.  This allows people to generate their own man 
      installation targets in a backwards compatible way.
    * Adding reference to the Module::Build META file spec in the docs.

6.13 Thu Jul 31 16:48:01 PDT 2003
    - Generated META.yml now has the prereqs in sorted order (Andy Lester)
    - Arguments to child Makefile.PLs were still having .. prepended.  This
      was exposed by the earlier fix of rt.perl.org 4345.
    - extralibs.ld (for static builds) wasn't being cleaned up.

6.12 Tue Jul 29 22:19:38 PDT 2003
    - Should any of your prefixes be /, MakeMaker might lose this and
      prepend your prefix as "prefixyour/directory" rather than
      "prefix/your/directory" (Ed Moy bleadperl 20283)
    - Reversing "realclean was duplicating work already done by clean"
      (CVS 1.124 MM_Unix.pm).  Turns out it wasn't a duplication and this
      was causing INST_* files to be left behind if your INST_LIB wasn't
      blib/* as in the perl core.  realclean now removes the files copied
      to INST_*.
    - Eliminating xsubpp_version().  No longer relevant.  It was checking
      for a feature added to xsubpp before 5.003_07 and doing it in a
      really bizarre way.

6.11 Thu Jul 24 01:24:37 PDT 2003
    - Small grammatical doc touch up by Sean Burke
    - Making basic.t clean up better after itself so it can be run
      twice without setting up and cleaning up Big-Dummy again.
    * Noting where to find make in the README
    * Noting that MakeMaker does not produce a GNU make compatible Makefile
      on Windows.

6.10_08 Mon Jul 21 18:17:06 PDT 2003
    * $Config{installvendorman*dir} was being ignored and our default
      always used. [rt.cpan.org #2949]
    * Setting NORECURS to true was still resulting in a Makefile which
      tried to recurse into subdirectories which contained a Makefile.PL
      (it simply wouldn't have run them to generate Makefile's).
      This appears to be a rather old bug.
      [rt.cpan.org #2951]
    * [rt.perl.org #4345] Arguments passed to WriteMakefile() would get
      stopped upon by $self->{PARENT} in recursive builds in the process
      of prepending a .. onto it.
    - Command.t now using its own temp directory when testing 
      expand_wildcards() so no stray files confuse it.
    * No longer warning about 'postamble' attribute.
    - Added installvars() to list INSTALL* variables so we don't keep
      repeating the list all over the code.
    - Added init_DEST() to create DESTINSTALL* variables for installing
      with DESTDIR set.
    * DESTDIR + PREFIX now does not duplicate DESTDIR.  [Redhat #91892
      and part of rt.cpan.org #2954]
    * DESTDIR is now not directly prepended to the INSTALL* variables.
      installation targets now use DESTINSTALL* instead.  This prevents
      the DESTDIR from showing up in places it shouldn't like perllocal.pod.
      DESTDIR is still appearing in .packlist (bug). [rt.cpan.org #2954]
    - MM_VMS->prefixify() wasn't honoring the %Config_Override causing
      some MakeMaker generated config variables to be ignored.
    - MM_VMS->prefixify() was only VMSifying part of its filepaths causing 
      internal comparisions to get confused and think it had to prefixify 
      when it didn't.

6.10_07 Sat Jul  5 16:12:52 PDT 2003
    * Fixing location of perllocal.pod so its always in INSTALLARCHLIB
      instead of one for each perl, site and vendor.
    - Sun's make treats escaped newlines oddly.  Switching oneliner() back
      to using multiple -e's.
    * Bug in libscan() meant that any .pm containing RCS or CVS or SCCS
      in its name (for example, RCS.pm) would be skipped.
    - Command.t was getting confused in the core because it was reading
      files from the core t/ directory, not MakeMaker's t/ directry.
    - MM_OS2 PERL_ARCHIVE_AFTER test wrong for a.out systems (Ilya)
    - Fixing perllocal.pod and XS installation on VMS.  An extraneous
      newline was introduced when changing the install macros over to
      $(ECHO).
    - Added $(ECHO_N) macro to emulate 'echo -n'

6.10_06 Sat Jun  7 00:55:29 PDT 2003
    - Whoops, Liblist.t busted on VMS after I turned strict on in
      ExtUtils::Liblist::Kid.  Merely a test bug, not a real bug.
    - Fixed metafile_addtomanifest failure so the proper error shows.
    - Fixed metafile_addtomanifest failure diagnostic leaking out during
      the basic.t test on Windows.

6.10_05 Fri Jun  6 18:15:30 PDT 2003
    * Documenting META.yml, NO_META
    * Documenting the fact that distdir will auto generate META.yml and 
      alter your manifest.
    * Adding META.yml autogeneration to the FAQ
    - Recognizing comments with leading whitespace in MANIFESTs better.
    - Small ExtUtils::Liblist::Kid problem on VMS (Craig Berry)
    * Fixed "make install UNINST=1".  Appears to have been broken somewhere
      around 6.06_01.
    - Documented the fourth argument to ExtUtils::Install::install()
    - install() will now honor a PERL5LIB change between ExtUtils::Install
      loading and install() running when uninstalling shadows.
    - META.yml generation deals gracefully when the MANIFEST is read-only
      (Slaven rt.cpan.org 2723)
    - Fixing tests on limited dir depth VMS systems by moving the 
      dummy-install dir one level up (Craig Berry rt.cpan.org 2747)

6.10_04 Fri May 23 01:13:04 PDT 2003
    - Working around BSD threaading bug in version check. [from bleadperl]
    - Added the Makefile to the dist dependencies. (Slaven Rezic)
    - Reversing the find_perl() version check failure warning introced in
      6.10_03.  Too talkative, warned when nothing was wrong.
    * Fixing META.yml auto-addition when there's no newline at the end 
      of the MANIFEST [rt.cpan.org 2444]
    * Making it a bit more obvious in the MANIFEST where META.yml comes from.
    - Fixed $_ clobbering in ExtUtils::Manifest functions.
    - [rt.cpan.org 2591] some LD_RUN_PATH thing (Marek Rouchal)
    - Added core.\d+ files to 'make clean' [rt.cpan.org 2543] (Slaven Rezic)
    - INST_* targets were expanded too early (Stas Bekman)
    - Adding ExtUtils::MakeMaker::bytes (bytes.pm backwards compat wrapper)
    - Fixing MM_MacOS so it will compile on 5.5.x machines (use bytes wrapper)
    * Reducing perldepend set of CORE/*.h dependencies to what 5.5.3 has.
      5.5.3 should be able to compile XS again.
    * Eliminating fakethr.h and perlsfio.h from VMS's perldepend as they
      sometimes don't get installed.
    - ExtUtils::Install was making a few directories even with the
      "don't really do it" switch on (Slaven Rezic)
    * can build static linked perl binaries again.  Probably damaged in
      6.06_01 when $self->{MAKEFILE} became FIRST_MAKEFILE. (Nick Clark)

6.10_03 Fri Apr 11 00:21:25 PDT 2003
    * Added NO_META WriteMakefile() option to suppress generation of
      META.yml. (Spoon, rt.cpan.org 2359)
    - Spurious linebreak in uninstall_from_sitedirs on VMS (Craig Berry)
    * A bit after 6.05 man page names would come out as lib::Foo::Bar
      if the module name didn't contain a ::.  Found with podulators.
      Fixed.
    * Skipping installation of RCS ,v files.
    * 'make ci' was busted between 6.05 and 6.06_01.  Fixed. (Andreas)
    - 'make test' was broken when there's no tests.  Introduced in 6.06_03.
      (Stas Bekman)
    - Solving some directory depth problems in tests on oldish VMS systems.
      (Craig Berry)
    - Fixing MM_MacOS so it compiles on UTF-8 systems. (Jarkko)
    - Making find_perl() more talkative when the version check fails
      miserably.
    - Fixing PERL_ARCHIVE on VMS so XS can compile again (Craig Berry)

6.10_02 Mon Apr  7 00:57:15 PDT 2003
    * Removed 2>&1 experiment introduced in 6.10_01 for all non-Unixen
      except for OS/2.  Thought Perl might emulate `... 2>&1`.  It doesn't.
      Just on OS/2.

6.10_01 Sun Apr  6 19:31:42 PDT 2003
    - Making install "Skip ... (unchanged)" message happen consistently
    - Checking file sizes as well as modification times when deciding
      to skip installing a file.
    - OS/2 was using $(RM) instead of $(RM_F) (Ilya)
    - OS/2 needs .dll removed on failed build (Ilya)
    - fixin() was assuming that rename() can overwrite the target (Ilya)
    - manifypods target was empty if there are no pods to manify.  Put in
      at least $(NOECHO) $(NOOP)
    - Cygwin test to check for finding pod2man when building the perl core
      removed.  No longer relevent.
    - Small fixes for dmake (Mattia Barbon)
    * Added "Reporting bugs" section to the PATCHING doc.
    - Minor bug in compile test missed ExtUtils::Liblist::Kid
    - Removing $(VERSION_FROM) from Makefile dependency.  It was too
      annoying to rebuild the Makefile every time the module changed.
      Mentioned it in the FAQ instead.
    - Fixing PERL_ARCHIVE macro on VMS.  Apparently it never appeared
      properly before. (Craig Berry)
    - Fixing ECHO on dmake.
    - Adding os_flavor() and os_flavor_is()
    - Making basic.t error output combine STDOUT & STDERR for easier 
      reading.
    * ExtUtils::Manifest will now work case insensitively.
    - Fixed 'subroutine redefined' warnings in 00compile.t
    - Fixed it so typemaps are only looked for in the perl core library.
    * Hacking around VMS filesystem problems reconstructing package names
      from filenames in ExtUtils::Installed.  (Jesper Naur)

# There was no 6.06, I jumped straight to 6.10_XX because there's been
# so much change between 6.05 and now.

6.06_05 Mon Mar 31 02:44:11 PST 2003
    - Syncing into bleadperl.  Minor nits revealed...
    - AutoSplit open filehandle bug was fixed in bleadperl.  Averted a
      warning because of this.
    - hint files were only being loaded if . happened to be in @INC.
      A bug/feature of File::Spec was stripping off the current dir from
      the front of hintfile paths causing Perl to look for them in @INC.
      Worked around.
    - Now checking $! for errors if a hint file returns undef
    - compile test was testing all of perl!  Scaling back to just ExtUtils/

6.06_04 Sun Mar 30 20:34:39 PST 2003
    - Now looking for ExtUtils::xsubpp through @INC rather than just
      the perl core directories.  This helps ExtUtils::ParseXS.
    - Systems which don't put their libraries under their $Config{prefix}
      (OS X, Debian) weren't putting their libraries in the spot declared
      in Config.  It was going under $Config{prefix}.
    - Prerequisites check now deals better with X.Y_Z style alpha versions
    - ExtUtils::Liblist->ext() was using $Config{perllibs} which is a 5.6.1
      thing.  Falling back to $Config{libs} if perllibs isn't there.
    - ExtUtils::Command::MM now reads from @ARGV if called with no
      args.  Makes the one liner a bit simpler.
    * Restored ExtUtils::Liblist::ext() for backwards compatibility.
      Missing since 5.6.1.
    - Switching to relative dirs for self-building to shorten
      command line lengths.
    - Fixing minor test warning on VMS when compiling ExtUtils::Manifest
    - Skipping STDIN read prompt() tests on 5.5.3.  Can't test due to
      eof() not honor tied handles.
    - Config.pm on 5.5.3 doesn't have any concept of vendor*.  This was
      causing warnings when generating the Makefile.

6.06_03 Sat Mar 29 19:44:53 PST 2003
    - Added AUTHOR and ABSTRACT_FROM info to Makefile.PL for ppd generation.
    - Added echo() method to portably echo text to a file.
    - Worked around 5.8.0 eval 'require Foo::Bar' bug causing MakeMaker
      to think modules weren't installed.
    - Modernized VMS doc_*_install targets
    - Changed some $(PERL) -e "print ..." code to use $(ECHO).
    - Replaced uses of Delete/NoLog/NoConfirm with $(RM_F) in MM_VMS
    - Fixed some duplicate macros making MMS happy.
    - Fixed $ExtUtils::MM_VMS::Revision.  It was just the $VERSION before.
    - Fixed ExtUtils::Command::MM::perllocal_install(), uninstall(),
      warn_if_old_packlist().
    * Pulling File::Spec::VMS::fixpath() and eliminate_macros() into MM_VMS
      as the new cannonical location.  They never should have been in F::S
      in the first place.
    * ExtUtils::Command::eqtime() would truncate the file being equalized!
      Holdover from exclusive .exists usage.
    - Cleaned up hard coded 'echo' and '@' to $(ECHO) and $(NOECHO)
    - $(SAY) is now $(ECHO) on VMS
    - Moved rogue initializations from tools_other() to init_others()
    - Normalized MM_VMS's tools_other() to mostly use its superclass.
    - split_command() was off-by-one when calculating max command line
      lengths causing it to run over on VMS
    - made split_command() a bit smarter, taking into account some macro
      expansion
    - Fixed initialization of OBJECT, DISTNAME and LDFROM on VMS
    - Fixed *_install target uses of File::Spec.
    - Added ExtUtils::MakeMaker::vmsish wrapper around vmsish so MM_VMS
      can be compiled on non-VMS machines.  For testing.
    * Added ExtUtils::MakeMaker::Tutorial about writing modules with
      MakeMaker.
    - Removed "always use h2xs" dogma.
    - Added compile & POD test
    * 'make distdir' now generates META.yml module meta-data file.
      Proof of concept.  Have to syncronize with Module::Build.
    * Added maniadd() to ExtUtils::Manifest to add entries to the MANIFEST
    * ExtUtils::Command::chmod was not interpreting file permissions as
      octal.  Also, docs & tests slightly wrong (thanks Stas Bekman).
    - ExtUtils::Install was hard coding blib/lib and blib/arch, unportable
      [perl #21526]

6.06_02 Mon Dec 23 20:39:57 PST 2002
    * Lots of Win32 fixes busted between 6.05 and 6.06_01.  
    * split_command() tests still not happy on Win32.  Problems with
      shell vs Makefile escaping makes testing difficult.
    * VMS still broken.  Need to convert File::Spec method calls back to
      object method calls so the weird FS::VMS->eliminate_macros() and 
      fixpath() work again.

6.06_01 Thu Dec 19 00:14:49 PST 2002
    - Andreas found that when building the core it is desirable for
      MakeMaker to use a relative path to perl.
    - File::Spec->catfile() has a bug where the resulting file may not be
      canonicalized.  This was causing problems when generating manpaths.
      MakeMaker now uses its own fixed override for catfile().
    - Fixed the POD recognition regex to properly catch /=head\d/ tags.
    * Added a PATCHING guideline document.
    - Updated the class hierarchy in NOTES.
    - Installed.t now cleans up after itself better.
    - Steve Purkis rewrote the manifypods system to use Pod::Man
      rather than pod2man.  Its now portable and manifypods() moved from 
      MM_Unix to MM_Any.  As a result, lots of icky and redudant code went
      away.  This also removes the POD2MAN macro, but noone should be
      using that.  
    - "make manifypods" now works on Win32
    - "make manifypods" is now be faster
    - Made MM_Unix->find_perl more portable.  Eliminated MM_Win32->find_perl
      override.  MM_VMS->find_perl remains.
    * find_perl() can now handle filenames with spaces in them (RT448)
    * find_perl() on Win32 no longer produces spurious "File Creation error"
      messages (perlbug ID 20020709.001)
    - Removed unfinished and unused maybe_command_in_dirs()
    - Removed dead SelfLoader cruft from MM_Unix.
    - Fixed PPD generation when the ppd contains quotes (RT1473)
    - Fixed PPD generation on VMS
    - Moved Win9x specific subdir_x() code from MM_Unix to MM_Win95
    * Craig Berry fixed hint files on VMS
    - Added the perl_onliner() method to generate portable, safe one-liners
    - Changing hardcoded $self->{MAKEFILE} to $(FIRST_MAKEFILE).
    * Rafael Garcia-Suarez made MakeMaker ignore Subversion control files
      by default.
    - Added MAKEFILE_OLD macro.
    * No longer generating man pages by default on VMS.
    - Improved DISTNAME docs
    * Documented DISTVNAME and VERSION_SYM
    * Documented dist()
    - Seperated dist_core() into dist, tardist, uutardist, tarfile,
      zipdist, zipfile and shdist_target methods.  Allows elimination
      of redundant code in MM_VMS.
    - Replaced WARN_IF_OLD_PACKLIST, DOC_INSTALL and UNINSTALL
      one-liners with ExtUtils::Command::MM functions
    - Replaced VMS hand-rolled perl code for TOUCH, CHMOD, RM_F and RM_RF
      with ExtUtils::Command functions.  Added TEST_F.
    - Adding clean_subdirs target and clean_subdirs_target() method to
      generate same.  This allows easier overriding of an unportable part
      of the clean target.
    - Defined DEV_NULL for MacOS
    - Removed ROOTEXT from MM_MacOS, apparently unused
    - Added $(DIRFILESEP) macro and init_DIRFILESEP to avoid
      hardcoding / or \.  Reduces code duplication in the MM_* modules.
    - Added init_platform() and platform_constants() for OS specific
      macros.  Moved OS specific macros from constants() overrides there.
    - Added init_VERSION() to setup various *VERSION* macros.
    - Added default wraplist() to make porting easier.
    - Added makemakerdflt_target() to guarantee 'all' is the default
      target.
    - Added special_targets() to handle things like .PHONY and make sure
      they come first.
    - Added init_linker() to initialize linker relatied macros.
    - MM_MacOS constants() disolves
        Moved MACPERL_SRC, MACPERL_LIB, MACPERL_INC from init_main() to 
          init_platform().
        Moved DEFINE and INC tweaking from constants() to init_main()
        Moved DEFINE_VERSION & XS_DEFINE_VERSION from constants() to
          init_VERSION().
        Eliminated MODULES.  Unused and its the same as TO_INST_PM
        Moved .INCLUDE from constants() to special_targets()

    - MM_NW5 constants() & init_others() disolves
        Moved LIBPTH, BASE_IMPORT, NLM_VERSION, MPKTOOL, TOOLPATH from 
          init_others() to init_platform()
        Moved INCLUDE and PATH definitions from constants() to 
          init_platform()
        Moved BOOT_SYMBOL, NLM_SHORT_NAME, PATH and INCLUDE from
          constants() to init_platform()

    - MM_Unix constants() goes on a diet
        Moved all macro definitions to init_* methods.
        Added MM_REVISION for completeness
        Using wraplist() instead of manual joining
        Moved .NO_CONFIG_REC, .SUFFIXES and .PHONY to special_targets()
        Moved makemakerdflt: to makemakerdeflt_target()
        Moved INST_{STATIC,DYNAMIC,BOOT} to init_INST()
        Moved EXPORT_LIST, PERL_ARCHIVE & PERL_ARCHIVE_AFTER to init_linker().
        Moved PERL_MALLOC_DEF to init_platform()

    - MM_VMS constants() goes on a diet
        Moved DEFINE from constants() to init_main()
        Moved OBJECT & LDFROM from constants() to init_others()
        Moved MM_VMS_REVISION and PERL_VMS to init_platform
        Added MM_VMS_VERSION
        Moved DEFINE_VERSION, XS_DEFINE_VERSION and MAKEMAKER changes to
            init_VERSION
        Moved .SUFFIXES changes to special_targets() override.
        Eliminated $self->{PM_TO_BLIB}.  Its redundant with $self->{PM}.
        constants() now consists only of fixpath() calls.

    - MM_Win32 constants() goes away
        Moved .USESHELL to special_targets() override.
        Everything else was redundant.

    - Added $(VERSION_FROM) to $(MAKEFILE) dependencies.  Helpful for
      XS builds where the version number is very sensitive.
    - export_list(), perl_archive() and perl_archive_after() consolodated
      into init_linker().
    - Added MM_NW5_VERSION, MM_Unix_VERSION, MM_Win32_VERSION, 
      MM_VMS_VERSION.
    - Eliminated duplicate code in constants() overrides
    - Added all_target() for easier customization of what's run by default
    - Eliminated duplicate top_targets() overrides
    - Made tool_autosplit() method portable.  Moved to MM_Any.  Eliminated
      overrides.
    - Adding realclean_subdirs target and realclean_subdirs_target()
      method to generate same.  This allows easier overriding of an 
      unportable part of the realclean target.    
    - Added oneliner() to create portable perl one-liners.
    - Craig Berry found some typos in ExtUtils::Liblist::Kid's VMS part
    * ExtUtils::Install did not work on MacPerl due to a hardcoded '.'
    * prompt() will now read from STDIN.
    - Craig Berry made sure extliblist() is always called even if LIBS
      is explicitly set to empty.
    * Added DESTDIR to make repacking easier.
    * $(*PREFIX) are returned to the INSTALL* variables.
    * Split $(PREFIX) into $(PERLPREFIX) and $(PREFIX).  The former
      holds the location of the core libraries.  The latter is the
      optional override prefix supplied by the user.
    * PREFIX overrides all other *PREFIXes when set in the Makefile.PL.
      This restores "make install PREFIX=foo".
    - Added quote_literal() to handle some shell quoting.
    - ExtUtils::MM_VMS now compilable on non-VMS platforms.
    - J. D. Laub made MakeMaker honor $Config{installstyle}
    - Renaming on OS/2 requires the target file to be removed.  
      Partially fixed by Ilya, should be applied universally later.
    - Default MANIFEST.SKIP not catching files in subdirs.  Fixed by Ilya.
    - Ilya fixed ExtUtils::Liblist->ext when called outside MakeMaker.
    - realclean was duplicating work already done by clean
    - Adding an explicit LICENSE
    - Cleaning up ExtUtils::Install docs.
    - ExtUtils::Install::uninstall() now has default verbose and
      dont_execute arguments.
    - Added some basic ExtUtils::Install tests
    - Fixed ExtUtils::Install::install() for relative dirs
    - Added split_command() and max_exec_len() to deal with long
      commands.
    - Seperated escape_newlines() from quote_literal().  This may
      be pointless.
    - pm_to_blib() now generated with split_command().  3x speedup.
    - added init_dist() to initialize distribution constants
    - ExtUtils::Install::pm_to_blib() working around open filehandle
      bug in AutoSplit for systems with mandatory file locking.

6.05 Tue Aug 27 16:09:51 PDT 2002
    - Output format of the hint file verbose diagnostic is now in
      a format native to the OS, so it broke a test on non-Unixen.

6.04 Mon Aug 26 18:31:11 PDT 2002 
    - Little fix for pre-5.8 Cygwin test to get the shared library names 
      right.
    * disttest on Win9X broken because of forgotten tabs
    * WriteMakefile argument verification should now be accurate
    - Documented the LD flag.
    * Documented prompt()
    * vendor install was not adding to packlist or updating perllocal.
    - Supporting $Config{vendorarchexp} and $Config{vendorlibexp}.
    - Fixed conflict on VMS between logical names and directories 
      (bleadperl 17488)
    - Fixed space-vs-tab bug on Netware (bleadperl 17579)
    - Mysterious NetWare fix from Ananth (bleadperl 17376)
    - Support OPTIMIZE in MacOS (bleadperl 17347)
    - Support hints in MacOS (mutation of bleadperl 17347)
    * Default man installation directories were using $(MAN*EXT) to
      generate the directory name.  This turned out to be wrong more
      often than right, so we'll use man1 and man3 hard-coded.
    - Debian folks fixed the doc_install targets so the Appending
      diagnostic gives the correct directory for perllocal.pod
    * Added ExtUtils::MakeMaker::FAQ
    - Quieted some warnings on MacOS (bleadperl 17669)

6.03 Wed Jun 19 17:06:14 EDT 2002
    - Documented that we're clamping down on cargo-cult MakeMaker
      programming.
    - Eased up the parameter verification to leave errant values alone.
    - Doug MacEachern documented LDDLFLAGS and added to known parameters.
    - Possible fix for XS compiles on Cygwin for pre 5.8 perls.

6.02 Sat Jun 15 19:46:06 EDT 2002
    - ExtUtils::Installed->modules() was broken in scalar context
    - Sync bleadperl 16922:  Netware updates from Ananth Kesari.
    - Sync bleadperl 16922:  MM_NW5 tests
    - Sync bleadperl 16938 & 16974:  MM_MacOS->macify fixes from pudge.
    - Sync bleadperl 16989 & 16942:  Small test fixes for MacPerl from pudge.
    - Improved WriteMakefile param verification to differenciate between
      parameters which don't exist and those that just take strings/numbers.
      [RT #707]
    * Documented TEST_VERBOSE

6.01 Thu May 30 14:48:57 EDT 2002
    - MacOS Classic fixes from Pudge: recursive make repair,
      post_initialize() now used, DEFINE & INC work with relative paths,
      removed dead hybrid method/function call code.
    * WriteMakefile now a bit more tolerant of wrong arguments, it will
      warn and try to soldier on rather than just vomiting.
    - Netware whitespace nits (bleadperl@16811)
    - Netware Perl version number tag when building dynamic libraries
      needs to match the current perl version instead of being hard coded
      (a mutation of bleadperl@16851)
    - OS/2 bug in TEST_F target found by John Poltorak (bleadperl@16839)
    - README in 6.00 still declared this as alpha.

6.00 Sat May 25 17:14:09 EDT 2002
    - VMS 8-level limit test tweak (bleadperl@16764)
    * Here goes nothing.

5.96_01 Wed May 22 19:11:09 EDT 2002
    - Fixed ExtUtils::testlib so it doesn't taint @INC.
    - Fixed ExtUtils::Command so it groks % shell wildcard on VMS.
      [RT 625]
    - MM now depends on Test::Harness 2.00 on VMS else tests with -T
      won't work, command line too long.
    - Added Craig's patch to fix limited level VMSs in the core.

5.95_01 Sat May 18 14:40:12 EDT 2002
    - Fixed ExtUtils::testlib so it has a reasonable chance of working
      under taint mode.

5.94_02 Fri May 17 17:16:04 EDT 2002
    - Fixing Manifest.t test for relative @INC when core testing.

5.94_01 Fri May 17 14:53:54 EDT 2002
    - Small NetWare change from Novell.
    - worked around 5.005_03's lack of a $Config{siteprefix} and
      $Config{sitebin}.
    - Small cross compilation changes (bleadperl 16582, 16548)

    [[ Test Fixes ]]
    - Fixing ExtUtils::Command tests for VMS shell wildcard differences.
    - Fixing ExtUtils::Installed tests so they don't go looking at already
      installed installed lists.

5.93_01 Mon May  6 00:54:39 EDT 2002
    - fixed basic.t for limited depth VMS systems
    * MM_BeOS was totally hosed by a typo.
    - Made the ExtUtils::Command docs clear about how things come
      from @ARGV not @_.
    - Quieted nmake banners in disttest

    * Backporting to 5.005_03
    - 'require 5.006' statements to 5.00503
    - Removing uses of File::Spec::Functions
    - Adding MODE arg to mkdir()
    - Changing uses of 'our' to 'use vars'
    - Changing uses of 'no warnings' to 'local $SIG{__WARN__}'
    - Changing 3-arg opens to 2-arg
    - Changing 'open my $fh' to 'open FH'
    - 5.005_03's File::Find doesn't have 'no_chdir'

5.92_01 Mon Apr 29 23:09:38 EDT 2002
    - Fixing case of modules with no .pm files on VMS.
    - LDLOADLIBS fix for NetBSD and easier overriding (bleadperl 16233)
    * syncing in MM_MacOS from pudge.
    - syncing in NetWare fixes (16266 & 16190)
    - Cleaning up MM_NW5.pm somewhat.

5.91_02 Wed Apr 24 01:29:56 EDT 2002
    - Adjustments to tests for inclusion in the core.

5.91_01 Wed Apr 24 00:11:06 EDT 2002
    [[ API Changes ]]
    * A failing Makefile.PL in a subdir will now kill the whole
      makefile making process.
    * "make install PREFIX=something" will no longer work.  Sorry.
    - Now supporting the usevendorprefix %Config setting
    - Tests now guaranteed to run in alphabetical order.
    - Allowing $VERSION = 0.

    [[ Bug Fixes ]]
    - Missing prerequisite warning malformatted.
    - INSTALL*MAN*DIR and INST_MAN*DIR weren't allowed on the command 
      line.
    * For years now skipcheck() has been returning a different
      value than what was documented.
    - Partially reversing Ken's "speed up ExtUtils::Manifest" patch
      from 5.51_01 so MANIFEST overrides MANIFEST.SKIP.
    * Fixed PREFIXification so it works on Win32.
    * Fixed PREFIXification so it works on VMS.
    - Fixed INSTALLMAN*DIR=none on VMS.
    * NetWare fixes (bleadperl@16076)
    - Craig Berry fixed some macro corruption on VMS.
    - Systems configured to not have man pages now honored thanks to
      Paul Green
    - Hack to allow 5.6.X versions of ExtUtils::Embed use MY implicitly.
    - Moved use of glob out of MM_Unix so MacPerl could build

    [[ Test Changes ]]
    - Shortening directory levels to accomodate old VMS's
    - was using a slightly wrong prefix for the prefix tests

    [[ Doc Fixes ]]
    - Documenting VERBINST

5.90_01 Thu Apr 11 01:11:54 EDT 2002
    [[ API Changes ]]
    * Implementation of the new PREFIX logic.
    * Added new INSTALL targets:
        INSTALLSITEBIN
        INSTALLSITEMAN1DIR   INSTALLSITEMAN3DIR 
        INSTALLVENDORMAN1DIR INSTALLVENDORMAN3DIR
        INSTALLVENDORBIN INSTALLVENDORLIB INSTALLVENDORARCH
        SITEPREFIX VENDORPREFIX
    * INSTALLDIRS=site now properly using $Config{siteprefixexp}
      (Thieved from Debian.  Thanks!)
    * Added INSTALLDIRS=vendor & support for vendor directories
      (Thieved from Debian.  Thanks!)

    [[ Bug Fixes ]]
    - nmake syntax nits from Mattia Barbon
    - ExtUtils::Packlist fix for files with spaces in them from Jan Dubois
      (bleadperl@15800)
    - Old, old, old dmake bug in MM_Win32->pm_to_blib fixed by Nick
      (bleadperl 15847)

    [[ Internals ]]
    - Purging leftover PDP compiler flags.

5.55_03 Sat Apr  6 21:57:01 EST 2002
    - Reversing "fix" for RT 444.  It wasn't really fixed and it
      caused havoc with Compress::Zlib and Tk.

5.55_02 Sat Apr  6 03:09:15 EST 2002
    [[ Bug Fixes ]]
    - Craig Berry fixed install on VMS (again, I munged the last patch)
    - MakeMaker might not be recognizing it's in PERL_SRC on Win32.
      Made safer.
    - For some reason MM_VMS was using $Config{arch} instead of
      $Config{archname}
    - Fix (well, hack) for creating ABSPERL on VMS.
    - Quieting some warnings revealed by ExtUtils::Constant
    - test_via_script had a typo and forgot INST_ARCHLIB

    [[ Test Fixes ]]
    - INST.t has to tell MakeMaker it's in the PERL_CORE
    - Fixing expected values of INST_* when building the core.

5.55_01 Thu Apr  4 23:58:06 EST 2002
    [[ API Changes ]]
    * Long deprecated INST_EXE completely removed.
    - Removing TEST_LIBS constant (never seen in a stable MM anyway)
    - Added $default argument to prefixify() for safer prefixification.

    [[ Bug Fixes ]]
    - $mm->{PERM_*} were not being set
    - fixin() redundantly chmod'ing scripts.  Let the Makefile do that.
    - The above means MM_Unix will now compile cleanly under strict
    * init_dirscan's search for Makefile.PL's will no longer look
      inside a distdir.
    * Fixed running tests when there are t/'s in subdirs.
    - MM_DOS inheriting from MM_Unix instead of MM_Win32.  DJGPP
      appears to be unix-like (bleadperl@15650)
    - Escaping constants with # in them so they're not confused as
      make comments (bleadperl)
    * ExtUtils::MM_Win95 didn't return a true value
    - Fixing disttest when perl is a relative path.
    * Fixed disttest & tests in subdirs on Win95
    - Fixed recursive Makefile.PL scan on VMS so it skips the distdir
    - Fixed a bug when an alternative MAKEFILE is specified and you're
      using something other than a Makefile.PL (RT 444)
    - Quieting uninit warning when there are no tests.

    [[ Doc Fixes ]]
    - Documented INSTALLMAN*DIR == 'none' feature.

    [[ Test Fixes ]]
    - Paul Green's which_perl patch to build a proper Perl on systems
      that use command extensions.
    - basic.t's Makefile.PL PREFIX call wasn't properly quoted for VMS
      (Craig Berry)
    - little initialization glitch in MM_Win32.t

    [[ Internals ]]
    - INST_* constants moved to init_INST
    - INSTALL* constants moved to inst_INSTALL
    * Internal warning supression removed.
    - Temporarily turning off SelfLoader in MM_Unix so warnings
      have the right line numbers.

5.54_01 Sat Mar 30 02:32:44 EST 2002
    [[ New Features ]]
    * Added FULLPERLRUN and FULLPERLRUNINST

    [[ Bug Fixes ]]
    - hint files were made a little too noisy in 5.53_01

    [[ Test Fixes ]]
    - adjusting for NFS time drift
    - basic.t was finding the wrong perl in the core

    [[ Internals ]]
    - FULLPERL* PERL* setup moved to init_PERL

5.53_02 Fri Mar 29 04:47:44 EST 2002
    - Adjusted for Perl core.  Synced into bleadperl.

5.53_01 Fri Mar 29 00:13:02 EST 2002
    [[ Bug Fixes ]]
    - Removed duplicate NAME macro definition
    - Fixed makemakerdflt target for VMS
    * bleadperl@11460 introduced a bug with recursive Makefile.PL's not
      having '.' in @INC.  PDL should build now.
    * MANIFEST.SKIP only working on file names, not full relative paths.
      Only since 5.51_01  (RT 413)
    * make test TEST_VERBOSE=1 was busted by 5.50_01 (RT 423)
    * Error messages from dying Makefile.PL's and hint files were
      accidentally supressed in 5.48_04.  Fixed.
    * Makefile.PL's are supposed to be run in package main.  5.48_04
      broke this.  Fixed.
    * Fixing installing on VMS.

5.52_01 Tue Mar 26 00:24:26 EST 2002
    [[ Bug Fixes ]]
    * ActivePerl 5.6.1/build 631 now 100%
    - Fixed some SelfLoader warnings
    * ExtUtils::MM_Win32 not subclassed off of ExtUtils::MM_Any properly
    - Bug in local $ENV{FOO} was causing failures in MM_Win32 tests.
      Compensating for the bug.
    - $Config{prefixexp} is sometimes bad on ActivePerl, compensating
    - Accidentally left htmlifypods tests in MM_Win32 tests

    [[ Doc Changes ]]
    - Expanding Known Good list
    - Adding Known Programs to README

5.51_01 Mon Mar 18 01:37:02 EST 2002
    [[ API Changes ]]
    - Removing xsubpp and typemap from the distribution.  These are not
      Perl version independent files and should not be upgraded.
    - Removing ExtUtils::Embed.  Version specific module and should
      not be updated.
    - Removing ExtUtils::Constant.  Not directly tied to MakeMaker.
      Will be distributed seperately by Nick Clark.

    [[ New Features ]]
    * realclean now deletes 'dist' directory.

    [[ Bug Fixes ]]
    * Fixing ExtUtils::Installed for VMS
    * Fixed it so MakeMaker can build itself without needing an eariler
      version installed
    * Fixed ExtUtils::Installed so packlists work on VMS
    * ExtUtils::MM_VMS test had a stupid typo that prevented most
      of the tests from running.
    - Fixing VMS so 'mmk' is always 'mmk all' (bleadperl 15218)
    - ExtUtils::MM_Any->catfile was calling catdir
    - Added Ken William's "speed up ExtUtils::Manifest" patch.
    - Added Nick Clark's return value of manifest routines patch
      (bleadperl@14978)
    - Merging in bleadperl changes (14438, 14453, 14611, 14612, 14622,
      14655, 14677, 14688, 14902, 15023, 15187, 15367)
    - bleadperl change 15325 (VMS 'mmk all' hack) rejected.
    - ExtUtils::MM_Any->test_via_harness() now using -MExtUtils::testlib
      instead of -I's.  This keeps the command line shorter on VMS, but
      it means TEST_LIB doesn't work anymore.  May prove problematic.
    - PERLRUN now uses FULLPERL instead of PERL.  This avoids 
      accidental use of miniperl.  May cause problems in the core.
    - Fixed test_via_harness() on VMS so it uses PERLRUN.
    - ExtUtils::Manifest wrongly handling MANIFEST on VMS.
    - ExtUtils::Manifest::maniskip broken due to misuse of /o on a regex.

5.50_01 Mon Mar  4 23:44:48 EST 2002
    [[ API Changes ]]
    - htmlifypods and all HTML targets have been removed.  It didn't
      work properly.  A target for HTMLifying of docs will be
      added sometime in the future (read: send a patch).
    - Deprecated ROOTEXT variable removed (its been deprecated for
      more than five years).
    - Removed ExtUtils::Miniperl from the CPAN distribution.  Can't
      see how its useful outside the core.

    [[ New Features ]]
    * Emacs backup files (ie. *~) are no longer copied into blib
      (this means you won't get Foo.pm~ accidentally installed anymore).
    - prefixify() now returns if the prefixification worked or not.
    - added the Perl patchlevel info to the description embedded in DLLs
      (Ilya Zakharevich perl change 14810)

    [[ Bug Fixes ]]
    * 5.49_01 broke anything that depended on the MM class to be loaded
      with ExtUtils::MakeMaker, like CPAN.  Temporarily fixed.
    * Many places wrongfully assume MM methods can be called as class
      methods!  Inside and outside of MakeMaker.
    * DOS now acts like Win32 instead of Unix.  This should be less wrong.
    - Netware tweak from Ananth Kesari (perl change 14780)

    [[ Doc Changes ]]
    * made the docs about the behavior of PREFIX a bit more vague
      reflecting its odd behavior.    
    - Replaced references to %Config with things people are more likely
      to understand in PREFIX & LIB docs.
    - Put PREFIX before LIB in the docs.

    [[ Internal Refactorings ]]
    - File::Spec wrappers consolidated in MM_Any
    - test_via_harness/script consolidated in MM_Any
    * Added ExtUtils::Command::MM to replace large -e "one-liners"
    * Added ExtUtils::MM_UWIN, took UWIN specific code out of MM_Unix.
    * Added ExtUtils::MM_DOS, took some DOS specific code out of MM_Unix
    - Added a dist() override to MM_OS2.
    - Took the OS/2 specific code out of MM_Unix's dist()
    - Starting to quote as many command line switches as possible
      to make VMS have to override less of MM_Unix.

5.49_01 Mon Feb  4 00:42:40 EST 2002
    - Default TEST_LIBS now contains absolute paths, so tests can
      chdir without breaking @INC.
    - Some bug fixes in MM_Win32 were missing in MM_NW5.
    - LLIBPERL was not being set.
    - Gisle Aas fixed a warning in prompt when the user hits ctrl-D
      or pipes STDIN to /dev/null.
    - VMS's test is now a proper ->can check.
    - Stray newline in Command.t causing havoc (bleadperl 14441)

    * Lots of internal changes.  Everything from here on is an internal
      change.
    - Broke ExtUtils::Liblist::Kid out into its own .pm.  Temporary.
    - Broke MM and MY out into their own .pm's.  Possibly temporary.
    - Broke ExtUtils::MM_Win95 out of ExtUtils::MM_Win32.  MM_Win95
      is now an MM_Win32 subclass.
    - Removed wrapper methods from ExtUtils::Liblist that were
      defering File::Spec loading.  Almost everything uses File::Spec
    - Changed most of the 'our's to 'use vars' in prep for 5.005_03
      backporting
    - Changed ExtUtils::MakeMaker->import(...) cargo-cultery in MM_* 
      modules to proper "use ExtUtils::MakeMaker qw(...)"
    - All non-Unix MM_* modules now directly inherit from MM_Unix.
      They did this before, but in a round-about way.
    - MM_* modules no longer directly muck with @MM::ISA.  Instead
      @MM::ISA does that itself.
    - Removed unnecessary require of Exporter in many MM_* modules.
    - MM_Cygwin was using an MM_Unix function directly without have
      explicitly required MM_Unix.
    - Most of MM_NW5 was redundant with MM_Win32.  So MM_NW5 is now
      a subclass of Win32 and the reduendant code has been deleted.
    - Replaced lots of calls to File::Spec->updir, curdir and rootdir
      with a global in MM_Unix.  Should make things a bit faster.
    - Untabified ExtUtils::MakeMaker.  I hate tabs.
    - "Which MM subclass should I use" logic moved from EU::MakeMaker
      to EU::MM.
    - Deprecated EU::MakeMaker::Version_check deleted.

5.48_04 Mon Jan 21 19:28:38 EST 2002
    - No longer requiring Test::More
    - Now tested to work with a clean 5.6.1
    - Stripped out $Revision based $VERSIONs.
    - Rolled in patches from p5p, vmsperl & VOS (14325, 14338, 14360, 14364)
    * hint files now run in a safer context.  Only $self is available.
    - ExtUtils::testlib now provides absolute paths into @INC.
      No longer obsolete
    - Little test fixes

5.48_03 Thu Jan 17 23:44:38 EST 2002
    * moved bin/inst to bin/instmodsh
    * Some Win32 backporting fixes.  The -x switch doesn't seem to
      work on Win32/5.6.1.
    * Bug on Win32.  MAKEMAKER variable not set properly.
    * _02 broke hints files.  Now fixed.
    - Minor prereq error formatting glitch
    - ExtUtils::testlib no longer a thin wrapper around blib, now a 
      thin wrapper around lib like it was.  blib is noisy on 5.6.1.
    - Nick and chromatic found and fixed some warnings in the tests

5.48_02 Wed Jan 16 19:11:26 EST 2002
    - Fixed some Win32 warnings.  Needs more work.

5.48_01 Wed Jan 16 15:10:28 EST 2002
    * Adapted from bleadperl@14303
    * Backported to 5.6.1
    - inst and xsubpp moved out of lib/ and into bin/
    - ExtUtils::testlib obsoleted.  Now a thin wrapper around blib.pm
    ***--> Non-Unix platforms not tested at all!  Please test and report
           back.  Tests probably only need minor fixes.

